#ifdef USE_TI89
    #include "Lava.h"
    #undef KEY_UP
    #undef KEY_DOWN
    #undef KEY_RIGHT
    #undef KEY_LEFT
    #undef KEY_ESC
    #define LCD_W       160
    #define LCD_H       100//debug
#else
    #define LCD_W       160
    #define LCD_H       80
#endif

#define Y0              (LCD_H-80>>1)

#define KEY_ENTER       13
#define KEY_ESC         27
#define KEY_HELP        25
#define KEY_UP          20
#define KEY_DOWN        21
#define KEY_RIGHT       22
#define KEY_LEFT        23
#define F4              31

char GameLogo[1600] =
{
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0, 0x0, 0xF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0, 0x1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x1F, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xFC, 0x1F, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xFC, 0x1F, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0xFC, 0x1F, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0xFC, 0xFF, 0x83, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x7C, 0xFE, 0xF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xFE, 0xF, 0xFF, 0xFE, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xFE, 0x3F, 0xFF, 0xE0, 0x1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x1F, 0xFE, 0x3F, 0xFF, 0xF, 0xFC, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x1F, 0xF8, 0x7F, 0xFE, 0x7F, 0xFF, 0x8F, 0xFF, 0xFE, 0x79, 0xFF, 0x9F, 0xC0, 0x9F, 0xE4, 0x7, 0xF3, 0xFE, 0x73, 0xFF, 0x8F, 0xF8, 0x7F, 0xF9, 0xFF, 0xFF, 0xE7, 0xFF, 0xFE, 0x9, 0xFF, 0x9F, 0xC1, 0x3F, 0xE4, 0xE7, 0xF3, 0xFE, 0x43, 0xFF, 0x8F, 0xF8, 0x7F, 0xE7, 0xFF, 0xFF, 0xF1, 0xFF, 0xFC, 0x20, 0x7C, 0x93, 0x80, 0x3, 0x80, 0x6, 0x0, 0x1C, 0xC3, 0xFF, 0x8F, 0xF8, 0x7F, 0xCF, 0xF8, 0x7, 0xFC, 0xFF, 0xFF, 0x38, 0x7C, 0x99, 0xE2, 0x27, 0xE4, 0x9F, 0xCC, 0xFC, 0x80, 0xFF, 0x8F, 0xF8, 0x7F, 0x9F, 0xF8, 0x7, 0xFE, 0x7F, 0xFC, 0x8, 0x79, 0x9C, 0x81, 0x27, 0xE4, 0x7, 0xCC, 0xF8, 0x33, 0xFF, 0x8F, 0xF8, 0x7F, 0xBF, 0xF8, 0x7, 0xFF, 0x7F, 0xFF, 0x20, 0x33, 0x9C, 0xF3, 0x27, 0xE0, 0x9F, 0xCC, 0xFC, 0xF3, 0xFF, 0x8F, 0xF8, 0x7E, 0x7F, 0xF8, 0x7, 0xFF, 0x1F, 0xFC, 0x9, 0xFF, 0x13, 0x80, 0xF, 0x84, 0x9F, 0xE1, 0xFC, 0x0, 0x7F, 0x8F, 0xF8, 0x7E, 0xFF, 0xF8, 0x7, 0xFF, 0x9F, 0xFC, 0x9, 0xFF, 0xE7, 0xE4, 0x9F, 0xE4, 0x7, 0xF3, 0xFC, 0xF3, 0xFF, 0x8F, 0xF8, 0x7C, 0xFF, 0xFC, 0xF, 0xFF, 0xDF, 0xFC, 0x0, 0xFF, 0xCF, 0xF1, 0x8F, 0xE0, 0x67, 0xE1, 0xFC, 0xF3, 0xFF, 0x8F, 0xF8, 0x7D, 0xFF, 0xFC, 0xF, 0xFF, 0xCF, 0xFC, 0x2, 0x7F, 0x1F, 0xE4, 0x27, 0xE0, 0x67, 0x8C, 0x7C, 0xF3, 0xFF, 0x8F, 0xF8, 0x7D, 0xFF, 0xFC, 0xF, 0xFF, 0xEF, 0xFF, 0xE7, 0x30, 0x7F, 0x8E, 0x73, 0xC6, 0x6, 0x3F, 0x1C, 0xF3, 0xFF, 0x8F, 0xF8, 0x79, 0xFF, 0xFC, 0xF, 0xFF, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF, 0xFC, 0xF, 0xFF, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF, 0xFC, 0xF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF, 0xFC, 0xF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x73, 0xFF, 0xFC, 0xF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x73, 0xFF, 0xFC, 0xF, 0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x73, 0xFF, 0xFC, 0xF, 0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF, 0xFE, 0x1F, 0xFF, 0xF3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF, 0xFE, 0x1F, 0xFF, 0xF7, 0xFC, 0xF3, 0xFE, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x33, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF,
    0xFE, 0x1F, 0xFF, 0xF7, 0xFE, 0x0, 0x3C, 0x9F, 0xFC, 0x3, 0xF3, 0xE7, 0x0, 0xC, 0x0, 0xFF, 0x8F, 0xF8, 0x7B, 0xFF, 0xFE, 0x1F, 0xFF, 0xE7, 0xFF, 0xF3, 0xF8, 0x0, 0xFF, 0x9F, 0xC0, 0xF, 0xF9, 0xFF, 0x32, 0x7F, 0x8F, 0xF8, 0x79, 0xFF, 0xFE, 0x1F, 0xFF, 0xE7, 0xFF, 0xC0, 0x70, 0x64, 0xF0, 0x0, 0xE1, 0x3F, 0xF9, 0xF8, 0x0, 0x3F, 0x8F, 0xF8, 0x7D, 0xFF, 0xFE, 0x1F, 0xFF, 0xEF, 0xF8, 0x73, 0xFC, 0x81, 0xFC, 0x93, 0xE1, 0x3F, 0xF9, 0xFE, 0x73, 0xFF, 0x8F, 0xF8, 0x7D, 0xFF, 0xFF, 0xFF, 0xFF, 0xCF, 0xFE, 0x0, 0x3C, 0x24, 0xFC, 0x3, 0xC0, 0x3, 0xF8, 0x78, 0x2, 0x7F, 0x8F, 0xF8, 0x7C, 0xFF, 0xFE, 0x1F, 0xFF, 0xDF, 0xFE, 0x4E, 0x7C, 0xC7, 0xFC, 0x93, 0xF3, 0x27, 0xF9, 0x1C, 0x32, 0x7F, 0x8F, 0xF8, 0x7E, 0x7F, 0xFC, 0xF, 0xFF, 0x9F, 0xFE, 0x40, 0x7F, 0xFF, 0xFC, 0x3, 0xC0, 0x27, 0xF9, 0xFC, 0x0, 0xFF, 0x8F, 0xF8, 0x7E, 0x7F, 0xFC, 0xF, 0xFF, 0x3F, 0xFE, 0x4E, 0x78, 0x19, 0xFF, 0x9F, 0xF3, 0x27, 0xF9, 0xFF, 0x39, 0xFF, 0x8F, 0xF8, 0x7F, 0x3F, 0xFC, 0xF, 0xFF, 0x7F, 0xFE, 0x0, 0x78, 0x40, 0xF8, 0x1, 0xE0, 0x67, 0xF9, 0xFF, 0x9, 0x3F, 0x8F, 0xF8, 0x7F, 0x9F, 0xFC, 0xF, 0xFE, 0x7F, 0xFE, 0x4E, 0x72, 0x72, 0x7F, 0x9F, 0xC2, 0x67, 0xF9, 0xF8, 0x30, 0x3F, 0x8F, 0xF8, 0x7F, 0xCF, 0xFE, 0x1F, 0xFC, 0xFF, 0xFF, 0xCC, 0x7F, 0x3, 0xF0, 0x0, 0xF3, 0xE7, 0xF9, 0xFF, 0x6, 0x3F, 0x8F, 0xF8, 0x7F, 0xF7, 0xFF, 0xFF, 0xF1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7F, 0xF9, 0xFF, 0xFF, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7F, 0xFC, 0x7F, 0xFF, 0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7F, 0xFF, 0x8F, 0xFC, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xF8, 0x7F, 0xFF, 0xE0, 0x1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xFE, 0x3F, 0xFF, 0xFE, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x1F, 0xFE, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x1F, 0xFE, 0xF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xFE, 0xF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0x83, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x7F, 0x1F, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0xFC, 0x1F, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC1, 0xFC, 0x1F, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xFC, 0x1F, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xFC, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x0, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0, 0x0, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xC0, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xC0, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xC0, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xC0, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xC0, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x60, 0xC0, 0x0, 0x0, 0x0, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xC0, 0x0, 0x0, 0xC, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xCC, 0x0, 0x0, 0xC, 0xC1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0xCC, 0x0, 0x0, 0x33, 0xD9, 0xB0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x66, 0xF3, 0x0, 0x0, 0x33, 0xD9, 0xB0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x66, 0xF3, 0x0, 0x0, 0x33, 0x66, 0xCC, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xC, 0xD9, 0xB3, 0x0, 0x0, 0x33, 0x66, 0xCC, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xC, 0xD9, 0xB3, 0x0, 0x1, 0xF0, 0x87, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x38, 0x43, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0
};
char ren_start[192] =
{
    0x0, 0x0, 0x0, 0x0, 0x0, 0xF, 0xE0, 0x0, 0x0, 0x1F, 0xF0, 0x0, 0x0, 0x3F, 0xF8, 0x0, 0x0, 0x3F, 0xF8, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x7F, 0xFC, 0x0, 0x0, 0x7F, 0xFC, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x3, 0xFF, 0xFF, 0x80, 0x7, 0xFF, 0xFF, 0xC0, 0x7, 0xFF, 0xFF, 0xC0, 0x7, 0xBF, 0xFB, 0xC0, 0x7, 0x8C, 0xE3, 0xC0, 0x7, 0xFC, 0x7F, 0xC0, 0x3, 0x8C, 0x63, 0x80, 0x3, 0xC, 0xE1, 0x0, 0xF, 0xFF, 0xFF, 0xE0, 0x1B, 0x7, 0xE3, 0xB0, 0x1F, 0x82, 0x42, 0xF0, 0x1A, 0xFC, 0x3E, 0xB0, 0x1A, 0x0, 0x0, 0xB0, 0xE, 0x0, 0x0, 0xE0, 0x2, 0x60, 0x1C, 0x80, 0x2, 0x7F, 0xFC, 0x80, 0x2, 0x3, 0x81, 0x80, 0x1, 0xC0, 0x3, 0x0, 0x0, 0xE0, 0x6, 0x0, 0x0, 0xFC, 0x7E, 0x0, 0x0, 0xFF, 0xFE, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x3, 0xE3, 0x87, 0x0, 0x5, 0x8C, 0x7B, 0x0, 0x5, 0x8E, 0x31, 0x0, 0x3, 0x83, 0x98, 0x0, 0x0, 0x8F, 0xDB, 0x0, 0x0, 0x7F, 0xBC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x39, 0x1C, 0x0, 0x0, 0x33, 0xC, 0x0, 0x0, 0x1F, 0xF8, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x1, 0xFF, 0xFF, 0x80, 0x3, 0xFF, 0xFF, 0xE0
};
char hit_enter[] =
{
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7C, 0x0, 0x0, 0x0, 0x3E, 0x1, 0x80, 0x0, 0x66, 0x0, 0x0, 0x0, 0x30, 0x1, 0x80, 0x0, 0x66, 0xD3, 0xC7, 0x9E, 0x30, 0xF9, 0xE7, 0x9A, 0x66, 0xF6, 0x6C, 0x30, 0x3E, 0xCD, 0x8C, 0xDE, 0x7C, 0xC7, 0xEF, 0x3C, 0x30, 0xCD, 0x8F, 0xD8, 0x60, 0xC6, 0x7, 0x9E, 0x30, 0xCD, 0x8C, 0x18, 0x60, 0xC6, 0x1, 0x86, 0x30, 0xCD, 0x8C, 0x18, 0x60, 0xC3, 0xEF, 0x3C, 0x3E, 0xCC, 0xE7, 0xD8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0
};
char ren_go[4][200] =
{
    //left
    0x0, 0x0, 0x1F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x0, 0x0, 0x0, 0x7F, 0xF0, 0x0, 0x0, 0x0, 0x7F, 0xF0, 0x0, 0x3, 0x0, 0x3F, 0xF8, 0x0, 0x3, 0xF0, 0x7F, 0xF8, 0x0, 0x7, 0xFF, 0xFF, 0xFC, 0x0, 0x7, 0xFF, 0xFF, 0xFC, 0x0, 0x7, 0xFF, 0xFF, 0xFE, 0x0, 0x7, 0xFF, 0xFF, 0xFE, 0x0, 0x7, 0xFD, 0x3F, 0xFF, 0x0, 0x7, 0x1B, 0x7F, 0xFF, 0x80, 0x7, 0x1E, 0xFF, 0xFF, 0xC0, 0xB, 0x1C, 0x7F, 0xFF, 0xE0, 0xA, 0x18, 0x3E, 0xFF, 0xF0, 0xE, 0x7E, 0x1C, 0x7F, 0xF8, 0x17, 0x7C, 0x1E, 0x7, 0xFC, 0x13, 0x30, 0x1E, 0x0, 0x0, 0x12, 0x0, 0x1F, 0x0, 0x0, 0x23, 0x8, 0x1F, 0x80, 0x0, 0x31, 0xF8, 0x19, 0x80, 0x0, 0x38, 0x0, 0x31, 0xE0, 0x0, 0x1E, 0x0, 0x31, 0xE0, 0x0, 0x3F, 0x81, 0xE3, 0xF0, 0x0, 0x3F, 0xFF, 0xFB, 0xF0, 0x0, 0x7, 0xFF, 0xFF, 0xE0, 0x0, 0x0, 0x3F, 0xFF, 0xE0, 0x0, 0x0, 0x7, 0xFF, 0xE0, 0x0, 0x0, 0x1, 0xFF, 0xF0, 0x0, 0x0, 0x3, 0xFF, 0xF8, 0x0, 0x0, 0x7, 0xFF, 0xF8, 0x0, 0x0, 0x7, 0xFF, 0xFC, 0x0, 0x0, 0x7, 0xFC, 0xFC, 0x0, 0x0, 0x3, 0xFC, 0xFC, 0x0, 0x0, 0x3, 0xFE, 0xFE, 0x0, 0x0, 0x3, 0xFF, 0xFF, 0x0, 0x0, 0x3, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0xFF, 0x7F, 0x0, 0x0, 0x0, 0x7C, 0x7F, 0x0, 0x0, 0x0, 0x70, 0x3E, 0x0,
    //right
    0x0, 0x7, 0xF8, 0x0, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x0, 0xF, 0xFE, 0x0, 0x0, 0x0, 0xF, 0xFE, 0x0, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0xC0, 0x0, 0x1F, 0xFE, 0xF, 0xC0, 0x0, 0x3F, 0xFF, 0xFF, 0xE0, 0x0, 0x3F, 0xFF, 0xFF, 0xE0, 0x0, 0x7F, 0xFF, 0xFF, 0xE0, 0x0, 0x7F, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xFC, 0xBF, 0xE0, 0x1, 0xFF, 0xFE, 0xD8, 0xE0, 0x3, 0xFF, 0xFF, 0x78, 0xE0, 0x7, 0xFF, 0xFE, 0x38, 0xD0, 0xF, 0xFF, 0x7C, 0x18, 0x50, 0x1F, 0xFE, 0x38, 0x7E, 0x70, 0x3F, 0xE0, 0x78, 0x3E, 0xE8, 0x0, 0x0, 0x78, 0xC, 0xC8, 0x0, 0x0, 0xF8, 0x0, 0x48, 0x0, 0x1, 0xF8, 0x10, 0xC4, 0x0, 0x1, 0x98, 0x1F, 0x8C, 0x0, 0x7, 0x8C, 0x0, 0x1C, 0x0, 0x7, 0x8C, 0x0, 0x78, 0x0, 0xF, 0xC7, 0x81, 0xFC, 0x0, 0xF, 0xDF, 0xFF, 0xFC, 0x0, 0x7, 0xFF, 0xFF, 0xE0, 0x0, 0x7, 0xFF, 0xFC, 0x0, 0x0, 0x7, 0xFF, 0xE0, 0x0, 0x0, 0xF, 0xFF, 0x80, 0x0, 0x0, 0x1F, 0xFF, 0xC0, 0x0, 0x0, 0x1F, 0xFF, 0xE0, 0x0, 0x0, 0x3F, 0xFF, 0xE0, 0x0, 0x0, 0x3F, 0x3F, 0xE0, 0x0, 0x0, 0x3F, 0x3F, 0xC0, 0x0, 0x0, 0x7F, 0x7F, 0xC0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0x0, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0xFE, 0x3E, 0x0, 0x0, 0x0, 0x7C, 0xE, 0x0, 0x0,
    //black
    0xFF, 0xFF, 0xE0, 0x1F, 0xFF, 0xFF, 0xFF, 0xC0, 0xF, 0xFF, 0xFF, 0xFF, 0x80, 0xF, 0xFF, 0xFF, 0xFF, 0x80, 0xF, 0xFF, 0xFC, 0xFF, 0xC0, 0x7, 0xFF, 0xFC, 0xF, 0x80, 0x7, 0xFF, 0xF8, 0x0, 0x0, 0x3, 0xFF, 0xF8, 0x0, 0x0, 0x3, 0xFF, 0xF8, 0x0, 0x0, 0x1, 0xFF, 0xF8, 0x0, 0x0, 0x1, 0xFF, 0xF8, 0x0, 0x0, 0x0, 0xFF, 0xF8, 0x0, 0x0, 0x0, 0x7F, 0xF8, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x0, 0x0, 0x0, 0x1F, 0xF0, 0x0, 0x1, 0x0, 0xF, 0xF0, 0x0, 0x3, 0x80, 0x7, 0xE0, 0x0, 0x1, 0xF8, 0x3, 0xE0, 0x0, 0x1, 0xFF, 0xFF, 0xE0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0x0, 0x7F, 0xFF, 0xC0, 0x0, 0x0, 0x7F, 0xFF, 0xC0, 0x0, 0x0, 0x1F, 0xFF, 0xE0, 0x0, 0x0, 0x1F, 0xFF, 0xC0, 0x0, 0x0, 0xF, 0xFF, 0xC0, 0x0, 0x0, 0xF, 0xFF, 0xF8, 0x0, 0x0, 0x1F, 0xFF, 0xFF, 0xC0, 0x0, 0x1F, 0xFF, 0xFF, 0xF8, 0x0, 0x1F, 0xFF, 0xFF, 0xFE, 0x0, 0xF, 0xFF, 0xFF, 0xFC, 0x0, 0x7, 0xFF, 0xFF, 0xF8, 0x0, 0x7, 0xFF, 0xFF, 0xF8, 0x0, 0x3, 0xFF, 0xFF, 0xF8, 0x0, 0x3, 0xFF, 0xFF, 0xFC, 0x0, 0x3, 0xFF, 0xFF, 0xFC, 0x0, 0x1, 0xFF, 0xFF, 0xFC, 0x0, 0x0, 0xFF, 0xFF, 0xFC, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0x0, 0x80, 0xFF, 0xFF, 0xFF, 0x83, 0x80, 0xFF, 0xFF, 0xFF, 0x8F, 0xC1, 0xFF, 0xFF, 0xF8, 0x7, 0xFF, 0xFF, 0xFF, 0xF0, 0x3, 0xFF, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xFF, 0xE0, 0x3, 0xFF, 0x3F, 0xFF, 0xE0, 0x1, 0xF0, 0x3F, 0xFF, 0xC0, 0x0, 0x0, 0x1F, 0xFF, 0xC0, 0x0, 0x0, 0x1F, 0xFF, 0x80, 0x0, 0x0, 0x1F, 0xFF, 0x80, 0x0, 0x0, 0x1F, 0xFF, 0x0, 0x0, 0x0, 0x1F, 0xFE, 0x0, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x0, 0x1F, 0xF8, 0x0, 0x0, 0x0, 0xF, 0xF0, 0x0, 0x80, 0x0, 0xF, 0xE0, 0x1, 0xC0, 0x0, 0xF, 0xC0, 0x1F, 0x80, 0x0, 0x7, 0xFF, 0xFF, 0x80, 0x0, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x7, 0xFF, 0xFE, 0x0, 0x0, 0x3, 0xFF, 0xFE, 0x0, 0x0, 0x3, 0xFF, 0xF8, 0x0, 0x0, 0x3, 0xFF, 0xF8, 0x0, 0x0, 0x7, 0xFF, 0xF0, 0x0, 0x0, 0x3, 0xFF, 0xF0, 0x0, 0x0, 0x3, 0xFF, 0xF8, 0x0, 0x0, 0x1F, 0xFF, 0xF8, 0x0, 0x3, 0xFF, 0xFF, 0xF8, 0x0, 0x1F, 0xFF, 0xFF, 0xF0, 0x0, 0x7F, 0xFF, 0xFF, 0xE0, 0x0, 0x3F, 0xFF, 0xFF, 0xE0, 0x0, 0x1F, 0xFF, 0xFF, 0xC0, 0x0, 0x1F, 0xFF, 0xFF, 0xC0, 0x0, 0x1F, 0xFF, 0xFF, 0xC0, 0x0, 0x3F, 0xFF, 0xFF, 0x80, 0x0, 0x3F, 0xFF, 0xFF, 0x0, 0x0, 0x3F, 0xFF, 0xFF, 0x0, 0x0, 0x3F, 0xFF, 0xFF, 0x1, 0x0, 0xFF, 0xFF, 0xFF, 0x1, 0xC1, 0xFF, 0xFF, 0xFF, 0x83, 0xF1, 0xFF, 0xFF
};
char background[240][20] =
{
    0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC7, 0xEF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC3, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC3, 0xFF, 0xF7, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC1, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF7, 0xFF, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF7, 0xFF, 0x7E, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0xF3, 0xF7, 0xF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE1, 0xF3, 0xF3, 0x1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE3, 0xF3, 0xFB, 0x1, 0xFC, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE7, 0xF1, 0xF1, 0x1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xF7, 0xF1, 0xF9, 0x0, 0x67, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xF7, 0xF1, 0xF1, 0x0, 0x71, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF1, 0xE3, 0x0, 0xC, 0x38, 0x0, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF0, 0xE7, 0x0, 0x2, 0x3C, 0x3, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF0, 0xCF, 0x0, 0x0, 0x4, 0xC, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0xF, 0x0, 0x0, 0x4, 0x30, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0xF, 0x0, 0x0, 0x4, 0xC1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xE0, 0xF, 0x0, 0x0, 0x7, 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xF0, 0xF, 0x0, 0x0, 0x0, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xF0, 0x1F, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xF8, 0x1F, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xF8, 0x1F, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xF8, 0x3F, 0x0, 0x0, 0x0, 0x70, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xFC, 0x7F, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xF8, 0x7F, 0x0, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xF8, 0x7F, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xF8, 0x7F, 0x0, 0x18, 0x1E, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xFF, 0xF8, 0x7F, 0x0, 0x1F, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xF8, 0x7F, 0x0, 0x1F, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xF1, 0xFF, 0x0, 0xF, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xF0, 0xFF, 0xE3, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7F, 0xF8, 0x0, 0xEF, 0xEF, 0xF0, 0xFF, 0x7, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE0, 0x7E, 0x0, 0xEF, 0xEF, 0xF0, 0xFF, 0xF, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0xF, 0x0, 0xEF, 0xEF, 0xF0, 0xFF, 0x1E, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x1, 0x80, 0xEF, 0xEF, 0xE0, 0xFF, 0x78, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0, 0x1, 0xFC, 0xEF, 0xEF, 0xE0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, 0xFF, 0xEF, 0xE7, 0xF0, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, 0x67, 0xEF,
    0xE3, 0xF0, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x71, 0xEF, 0xE1, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0xC, 0xEF, 0xF0, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x9, 0x60, 0x0, 0x2, 0xEF, 0xF0, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0xFF, 0xF0, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0xFF, 0xF0, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0xFF, 0xF9, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0xFF, 0xFB, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0xFF, 0xFB, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x78, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xC, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xDF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x0, 0x18, 0xFF, 0xDF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0x1F, 0xFF, 0xDF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x30, 0x0, 0x0, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x0, 0xF, 0xFF, 0xBF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0xE3, 0xF8, 0xFF, 0xBF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x0, 0x7, 0xE0, 0xFF, 0xBF, 0x7F, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x0, 0xF, 0xC0, 0xFF, 0x7F, 0x3F, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x0, 0x1E, 0x0, 0xFF, 0x3F, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x0, 0x78, 0x0, 0xFF, 0x7F, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x0, 0x3, 0xE0, 0x0, 0xFE, 0x7F, 0x20, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x0, 0xF, 0x0, 0x0, 0xFE, 0x7F, 0x90, 0xBF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x0, 0x3E, 0x0, 0x0, 0xFC, 0x3F, 0xC0, 0xBF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x78, 0x0, 0x0, 0xFC, 0x1F, 0xE0, 0xBF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xC0, 0x7, 0xE0, 0x0, 0x0, 0xFC, 0x7, 0xC0, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0xFE, 0x7, 0xC0, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x0, 0x0, 0x0, 0xFE, 0x7, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x7, 0xF8, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x3, 0xF8, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x1, 0xF8, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x1, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0x0, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFB, 0x0, 0xFC,
    0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFB, 0x0, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFD, 0x81, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFC, 0x81, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x83, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x87, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x9F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xCF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xDF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x81, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x0, 0x3C, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0xC, 0x0, 0x6, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFE, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1C, 0x0, 0x7, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x1, 0x9F, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x1, 0xC7, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x30, 0xE0, 0x3, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x25, 0x80, 0x0, 0x8, 0xF0, 0xC, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0x0, 0x10, 0x31, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x10, 0xC2, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x3F, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x13, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x3F, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x1C, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFF, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFE, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x1, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFE, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFE, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x1C, 0x0, 0x0, 0x0, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFE, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x1C, 0x0, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFE, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x38, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3F, 0xFE, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x30, 0x0, 0x0, 0x0, 0x0, 0xE, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3, 0xFC, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x0, 0x60, 0x78, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x0, 0xFC, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x60, 0x0, 0x0, 0x0, 0x7F, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x0, 0xFC, 0x7F, 0x0, 0x0, 0x0, 0x0, 0xC0, 0x0, 0x0, 0x0, 0x7F, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x80, 0xFC, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x0, 0x0, 0x3E, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x80, 0xF8, 0x3F, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x3, 0x8F, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0xFF, 0xC0, 0x15, 0x3F, 0x0, 0x0, 0x0, 0x2, 0x0, 0x0, 0x0, 0x1F, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x81, 0x0, 0x3F, 0x0, 0x0, 0x0, 0x2, 0x0, 0x0, 0x0, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x81, 0x0, 0x3F, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, 0x0, 0x78, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x83, 0x2, 0x3F, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, 0x1, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0x80, 0x3F, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, 0xF, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0x80, 0x7F, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, 0x3C, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0x80, 0x7F, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0x7F, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0x7F, 0x0, 0x0, 0x0, 0x3, 0x0, 0x1F, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0xFF, 0x0, 0x0, 0x0, 0x3, 0x81, 0xFC, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0xFF, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xC0, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFD, 0xFF, 0xE1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xED, 0xFF, 0xF1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEC, 0xFB, 0xF1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCE, 0xC7, 0xF1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCE, 0xF, 0xF1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCE, 0xF, 0xF9, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCE, 0xF, 0xF9, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCE, 0xF, 0xFD, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0xF, 0xFD, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0xF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0x27, 0xEF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0x37, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0xF3, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xCF, 0xE3, 0xFF, 0xF7, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0xE3, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE1, 0xF7, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF7, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF3, 0xF7, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF3, 0xF3, 0x0, 0x0, 
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF3, 0xFB, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFC, 0xC0, 0xF1, 0xF1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFC, 0x1, 0xF1, 0xF9, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x3, 0xF1, 0xF1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDE, 0x3, 0xF1, 0xE3, 0x0, 0x0, 0x3, 0xFE, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x7, 0xF0, 0xE7, 0x0, 0x0, 0x7, 0xF, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x7, 0xF0, 0xCF, 0x0, 0x0, 0x4, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x7, 0xE0, 0xF, 0x0, 0x0, 0x18, 0x0, 0x60, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x7, 0xC0, 0xF, 0x0, 0x0, 0x38, 0x0, 0x7C, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x8F, 0xE0, 0xF, 0x0, 0x0, 0x20, 0x0, 0x1B, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xDF, 0x8F, 0xF0, 0xF, 0x0, 0x0, 0x40, 0x0, 0x1D, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x8F, 0xF0, 0x1F, 0x0, 0x0, 0x40, 0x0, 0x0, 0x38, 0x7, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x8F, 0xF8, 0x1F, 0x0, 0x0, 0x40, 0x0, 0x0, 0x4, 0x32, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC7, 0xF8, 0x1F, 0x0, 0x0, 0x40, 0x0, 0x0, 0x4, 0x44, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC7, 0xF8, 0x3F, 0x0, 0x0, 0x60, 0x0, 0x0, 0x5, 0x88, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC3, 0xFC, 0x7F, 0x0, 0x0, 0x20, 0x0, 0x0, 0x6, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC3, 0xF8, 0x7F, 0x0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC1, 0xF8, 0x7F, 0x0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF8, 0x7F, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0xF8, 0x7F, 0x0, 0x7, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0xF8, 0x7F, 0x0, 0xC, 0x0, 0x0, 0x0, 0x0, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE1, 0xF1, 0xFF, 0x0, 0x18, 0x0, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE3, 0xF0, 0xFF, 0x0, 0x18, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xE7, 0xF0, 0xFF, 0x0, 0x10, 0x0, 0x0, 0x4, 0x1C, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xF7, 0xF0, 0xFF, 0x0, 0x10, 0x0, 0x0, 0x7, 0xF0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xF7, 0xF0, 0xFF, 0x0, 0x20, 0x0, 0x0, 0x7, 0xE0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0xFF, 0x0, 0x20, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0xFF, 0x0, 0x60, 0x0, 0x1C, 0xFC, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF0, 0xFF, 0x0, 0x80, 0x0, 0x1, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF0, 0xFF, 0x1, 0x80, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFC, 0xFF, 0x1, 0x80, 0x0, 0xE, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xFC, 0xFF, 0x1, 0x0, 0x0, 0x7C, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xFE, 0xFF, 0x1, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xFE, 0xFF, 0x1, 0x80, 0x3, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xFE, 0xFF, 0x0, 0xC0, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xFE, 0xFF, 0x0, 0xE1, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF7, 0xFF, 0xFF, 0xFF, 0x0, 0x3F, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xFF,
    0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xE7, 0x7F, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xE3, 0x3F, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xE1, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x7, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xF0, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x30, 0x1, 0xF8, 0x0, 0x0, 0x0, 0xEF, 0xF0, 0x20, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x4F, 0x0, 0x0, 0x0, 0xFF, 0xF0, 0x90, 0xBF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x18, 0xF0, 0xC0, 0x0, 0xFF, 0xF0, 0xC0, 0xBF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x0, 0x19, 0x40, 0x0, 0xFF, 0xF9, 0xE0, 0xBF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x0, 0xE, 0xC0, 0x0, 0xFF, 0xFB, 0xC0, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x0, 0x1, 0x80, 0x0, 0xFF, 0xFB, 0xC0, 0x3F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x3, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x0, 0x38, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x3F, 0x80, 0x0, 0x0, 0xFF, 0xFF, 0xF8, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0x1E, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF8, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0x3, 0xC0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xF8, 0x7F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x6, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xDF, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x78, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xDF, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0x3, 0xC0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xDF, 0xFC, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x3E, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3F, 0xC0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xBF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x7F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x3F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x7F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7F, 0xFF,
    0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFC, 0x3F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFC, 0x1F, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFC, 0x7, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7, 0xFE, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFE, 0x7
};
char hc_map[] =
{
    0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE7, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xFF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xEF, 0xFF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xE7, 0x7F, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xE3, 0x3F, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xE1, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x7, 0x0, 0x0, 0x0, 0x0, 0xEF, 0xF0, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x30, 0x1, 0xF8, 0x0, 0x0, 0x0, 0xEF, 0xF0
};
char ren_right[2][200] =
{
    0x0, 0x7F, 0xF0, 0x0, 0x0, 0x0, 0xFF, 0xF8, 0x0, 0x0, 0x0, 0xFF, 0xF8, 0x0, 0x0, 0x0, 0xFC, 0x78, 0x0, 0x0, 0x0, 0xFF, 0xFE, 0x0, 0x18, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x1, 0xFF, 0xF8, 0xFF, 0xF8, 0x1, 0xFF, 0xF8, 0xCF, 0xF0, 0x1, 0xFF, 0xFD, 0x8C, 0xF0, 0x3, 0xFF, 0xFE, 0x88, 0x70, 0x3, 0xF9, 0xF8, 0x88, 0x70, 0x3, 0xE1, 0xF0, 0x84, 0x70, 0x7, 0xE6, 0xF0, 0x84, 0x18, 0xF, 0xE3, 0x60, 0x8C, 0x18, 0xF, 0xF1, 0x60, 0xC6, 0x18, 0x1E, 0xF, 0x80, 0xE7, 0x8, 0x3E, 0xF, 0x80, 0x31, 0xFC, 0x7F, 0xCF, 0x80, 0x1F, 0x26, 0x6E, 0x1F, 0xC3, 0x0, 0x6, 0x7, 0x9F, 0xC1, 0x80, 0x6, 0x6, 0x1F, 0xC0, 0xE1, 0x4, 0x6, 0xF, 0xE0, 0x3D, 0x1C, 0x7, 0x3F, 0xFC, 0x7, 0xF0, 0x3, 0x3F, 0xFF, 0x87, 0x0, 0x1, 0xFF, 0xFF, 0xFC, 0x0, 0x0, 0xFF, 0xFF, 0xE0, 0x0, 0x0, 0xFF, 0xFF, 0xF3, 0x80, 0x0, 0xFF, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFE, 0x5F, 0xC0, 0x0, 0xFF, 0xF8, 0xFF, 0x80, 0x0, 0xFF, 0xF9, 0xFF, 0x0, 0x0, 0xFF, 0xF0, 0xFC, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0x7F, 0xE0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0x7, 0xC0, 0x0, 0x0, 0xFF, 0x80, 0xF, 0xFF, 0xFF, 0xFF, 0x0, 0x7, 0xFF, 0xFF, 0xFF, 0x0, 0x7, 0xFF, 0xFF, 0xFF, 0x0, 0x7, 0xFF, 0xFF, 0xFF, 0x0, 0x1, 0xFF, 0xE7, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFE, 0x0, 0x0, 0x0, 0x7, 0xFE, 0x0, 0x0, 0x0, 0xF, 0xFE, 0x0, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x0, 0xF, 0xF8, 0x0, 0x0, 0x0, 0x7, 0xF0, 0x0, 0x0, 0x0, 0x7, 0xF0, 0x0, 0x0, 0x0, 0x7, 0xE0, 0x0, 0x0, 0x0, 0x7, 0xC0, 0x0, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x1, 0x90, 0x0, 0x0, 0x0, 0x1, 0xF8, 0x0, 0x0, 0x0, 0x1, 0xF8, 0x0, 0x0, 0x0, 0x3, 0xF8, 0x0, 0x0, 0x0, 0x3, 0xF8, 0x0, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x0, 0xFF, 0xFE, 0x0, 0x0, 0x3, 0xFF, 0xFF, 0x0, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x0, 0xC, 0x7F, 0xFF, 0x0, 0x0, 0x0, 0x3F, 0xFF, 0x0, 0x1, 0x80, 0x3F, 0xFF, 0x0, 0x7, 0x0, 0x7F, 0xFF, 0x0, 0x6, 0x0, 0xFF, 0xFF, 0x0, 0xF, 0x3, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0x80, 0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x3F, 0xFF, 0xFF, 0xFF, 0xF8, 0x3F, 0xFF, 0xFF
};
char ren_left[2][200] =
{
    0x0, 0x0, 0xF, 0xFE, 0x0, 0x0, 0x0, 0x1F, 0xFF, 0x0, 0x0, 0x0, 0x1F, 0xFF, 0x0, 0x0, 0x0, 0x1E, 0x3F, 0x0, 0x18, 0x0, 0x7F, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0x1F, 0xFF, 0x80, 0xF, 0xF3, 0x1F, 0xFF, 0x80, 0xF, 0x31, 0xBF, 0xFF, 0x80, 0xE, 0x11, 0x7F, 0xFF, 0xC0, 0xE, 0x11, 0x1F, 0x9F, 0xC0, 0xE, 0x21, 0xF, 0x87, 0xC0, 0x18, 0x21, 0xF, 0x67, 0xE0, 0x18, 0x31, 0x6, 0xC7, 0xF0, 0x18, 0x63, 0x6, 0x8F, 0xF0, 0x10, 0xE7, 0x1, 0xF0, 0x78, 0x3F, 0x8C, 0x1, 0xF0, 0x7C, 0x64, 0xF8, 0x1, 0xF3, 0xFE, 0x60, 0x0, 0xC3, 0xF8, 0x76, 0x60, 0x1, 0x83, 0xF9, 0xE0, 0x20, 0x87, 0x3, 0xF8, 0x60, 0x38, 0xBC, 0x7, 0xF0, 0x60, 0xF, 0xE0, 0x3F, 0xFC, 0xE0, 0x0, 0xE1, 0xFF, 0xFC, 0xC0, 0x0, 0x3F, 0xFF, 0xFF, 0x80, 0x0, 0x7, 0xFF, 0xFF, 0x0, 0x1, 0xCF, 0xFF, 0xFF, 0x0, 0x3, 0xFF, 0xFF, 0xFF, 0x0, 0x3, 0xFA, 0x7F, 0xFF, 0x0, 0x1, 0xFF, 0x1F, 0xFF, 0x0, 0x0, 0xFF, 0x9F, 0xFF, 0x0, 0x0, 0x3F, 0xF, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFF, 0x0, 0x0, 0x0, 0x7, 0xFE, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xE0, 0x0, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xE7, 0xFF, 0x80, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0x0, 0x7F, 0xF0, 0x0, 0x0, 0x0, 0x7F, 0xF0, 0x0, 0x0, 0x0, 0x7F, 0xF0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x0, 0x0, 0x0, 0x3F, 0xF0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x1F, 0xE0, 0x0, 0x0, 0x0, 0xF, 0xE0, 0x0, 0x0, 0x0, 0xF, 0xE0, 0x0, 0x0, 0x0, 0x7, 0xC0, 0x0, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x0, 0x0, 0x9, 0x80, 0x0, 0x0, 0x0, 0x1F, 0xC0, 0x0, 0x0, 0x0, 0x1F, 0xC0, 0x0, 0x0, 0x0, 0x1F, 0xF0, 0x0, 0x0, 0x0, 0x1F, 0xFF, 0x0, 0x0, 0x0, 0x3F, 0xFF, 0xC0, 0x0, 0x0, 0x7F, 0xFF, 0xF8, 0x0, 0x0, 0xFF, 0xFE, 0x30, 0x0, 0x0, 0xFF, 0xFC, 0x0, 0x0, 0x0, 0xFF, 0xFC, 0x1, 0x80, 0x0, 0xFF, 0xFE, 0x0, 0xE0, 0x0, 0xFF, 0xFF, 0x0, 0x60, 0x0, 0xFF, 0xFF, 0xC0, 0xF0, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xFF, 0xF8, 0x1, 0xFF, 0xFF, 0xFF, 0xFC, 0xF, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF
};
char point[4][128] =
{
    0x0, 0xC0, 0x0, 0x0, 0xEE, 0xC0, 0x0, 0x0, 0xAA, 0x0, 0x0, 0x0, 0xEA, 0x0, 0x0, 0x0, 0x2A, 0x0, 0x0, 0x0, 0xEE, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xE0, 0x0, 0x0, 0x0, 0xFE, 0x0, 0x0, 0x0, 0xFF, 0x80, 0x0, 0x0, 0xFF, 0xC0, 0x0, 0x0, 0xFF, 0xF0, 0x0, 0x0, 0xFF, 0xFC, 0x0, 0x0, 0xFF, 0xFE, 0x0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xFF, 0xF0, 0x0, 0xFF, 0xFF, 0xF0, 0x0, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xFC, 0x0, 0xFF, 0xFF, 0xFC, 0x0, 0x8F, 0xFF, 0xFE, 0x0, 0x83, 0xFF, 0xFE, 0x0, 0x80, 0xFF, 0xFF, 0x0, 0x80, 0xFF, 0xFF, 0x3, 0x80, 0x7F, 0xFF, 0x3B, 0x80, 0x3F, 0xFF, 0x28, 0x80, 0x3F, 0xFF, 0xA8, 0x80, 0x3F, 0xFF, 0xA8, 0xFF, 0xFF, 0xFF, 0xB8, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0xF, 0xFF, 0xFF, 0x0, 0x7, 0xFF, 0xFF, 0x0, 0x3, 0xFF, 0xFF, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x0, 0xFF, 0xFF, 0x0, 0x0, 0x7F, 0xFF, 0x0, 0x0, 0x3F, 0xFF, 0x0, 0x0, 0x1F, 0xFF, 0x0, 0x0, 0xF, 0xFF, 0x0, 0x0, 0x7, 0xFF, 0x0, 0x0, 0x3, 0xFF, 0x0, 0x0, 0x1, 0xFF, 0x0, 0x0, 0x0, 0xFF, 0x0, 0x0, 0x0, 0x7F, 0x0, 0x0, 0x0, 0x3F, 0x0, 0x0, 0x0, 0x1F, 0x0, 0x0, 0x0, 0x1F, 0x0, 0x0, 0x0, 0x1F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, 0x3, 0xBB, 0x0, 0x0, 0x2, 0xA8, 0x0, 0x0, 0x3, 0xA8, 0x0, 0x0, 0x0, 0xA8, 0x0, 0x0, 0x3, 0xB8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x0, 0x0, 0x0, 0x7F, 0x0, 0x0, 0x1, 0xFF, 0x0, 0x0, 0x3, 0xFF, 0x0, 0x0, 0xF, 0xFF, 0x0, 0x0, 0x3F, 0xFF, 0x0, 0x0, 0x7F, 0xFF, 0x0, 0x1, 0xFF, 0xFF, 0x0, 0x3, 0xFF, 0xFF, 0x0, 0x3, 0xFF, 0xFF, 0x0, 0x7, 0xFF, 0xFF, 0x0, 0xF, 0xFF, 0xFF, 0x0, 0xF, 0xFF, 0xFF, 0x0, 0x1F, 0xFF, 0xFF, 0x0, 0x3F, 0xFF, 0xFF, 0x0, 0x3F, 0xFF, 0xFF, 0x0, 0x7F, 0xFF, 0xF1, 0x0, 0x7F, 0xFF, 0xC1, 0x0, 0xFF, 0xFF, 0x1, 0xC, 0xFF, 0xFF, 0x1, 0xEC, 0xFF, 0xFE, 0x1, 0xA0, 0xFF, 0xFC, 0x1, 0xA1, 0xFF, 0xFC, 0x1, 0xA1, 0xFF, 0xFC, 0x1, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xF8, 0x0, 0xFF, 0xFF, 0xF0, 0x0, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0xFF, 0xFF, 0x0, 0x0, 0xFF, 0xFE, 0x0, 0x0, 0xFF, 0xFC, 0x0, 0x0, 0xFF, 0xF8, 0x0, 0x0, 0xFF, 0xF0, 0x0, 0x0, 0xFF, 0xE0, 0x0, 0x0, 0xFF, 0xC0, 0x0, 0x0, 0xFF, 0x80, 0x0, 0x0, 0xFF, 0x0, 0x0, 0x0, 0xFE, 0x0, 0x0, 0x0, 0xFC, 0x0, 0x0, 0x0, 0xF8, 0x0, 0x0, 0x0, 0xF8, 0x0, 0x0, 0x0, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0
};
char per[4][55] =
{
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 0xFF, 0xFF, 0x83, 0xFF, 0xE7, 0xFF, 0xE7, 0x99, 0xFF, 0xE7, 0xFF, 0xE7, 0x99, 0x86, 0x23, 0xE, 0x21, 0x99, 0x32, 0x26, 0x64, 0xE7, 0x83, 0x2, 0x66, 0x4, 0xE7, 0x9F, 0x3E, 0x66, 0x7C, 0xE7, 0x9F, 0x3E, 0x66, 0x7C, 0xE7, 0x9F, 0x82, 0x67, 0x6, 0x31, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    //cool
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCF, 0xFC, 0x1F, 0xFF, 0xFF, 0xCF, 0xF9, 0xFF, 0xFF, 0xFF, 0xCF, 0xF9, 0xFE, 0x1F, 0x87, 0xCF, 0xF9, 0xFC, 0xCF, 0x33, 0xCF, 0xF9, 0xFC, 0xCF, 0x33, 0xCF, 0xF9, 0xFC, 0xCF, 0x33, 0xCF, 0xF9, 0xFC, 0xCF, 0x33, 0xCF, 0xFC, 0x1E, 0x1F, 0x87, 0xCF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    //good
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xF0, 0x3F, 0xFF, 0xFF, 0xE7, 0xE7, 0xFF, 0xFF, 0xFF, 0xE7, 0xE7, 0xFC, 0x3E, 0x1F, 0x7, 0xE7, 0xF9, 0x9C, 0xCE, 0x67, 0xE6, 0x39, 0x9C, 0xCE, 0x67, 0xE7, 0x39, 0x9C, 0xCE, 0x67, 0xE7, 0x39, 0x9C, 0xCE, 0x67, 0xF0, 0x3C, 0x3E, 0x1F, 0x7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    //bad
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0xFF, 0xFF, 0xC1, 0xFF, 0xF3, 0xFF, 0xFF, 0xCC, 0xFF, 0xF3, 0xFF, 0xFF, 0xCC, 0xC3, 0x83, 0xFF, 0xFF, 0xC1, 0xF9, 0x33, 0xFF, 0xFF, 0xCC, 0xC1, 0x33, 0xFF, 0xFF, 0xCC, 0x99, 0x33, 0xFF, 0xFF, 0xCC, 0x99, 0x33, 0xFF, 0xFF, 0xC1, 0xC1, 0x83, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
};
char gogo[8][200] =
{
    //left1
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xC0, 0x0, 0x0, 0x0, 0x8, 0x20, 0x0, 0x0, 0x0, 0x10, 0x10, 0x0, 0xF, 0x0, 0x20, 0x7C, 0x0, 0x3F, 0xE, 0xD0, 0x8F, 0x0, 0x3F, 0xF, 0x91, 0xB, 0x80, 0x3F, 0xD8, 0x89, 0x5, 0xC0, 0x3F, 0xD8, 0x9, 0x5, 0xE0, 0x3F, 0xF9, 0x89, 0x5, 0xE0, 0x3F, 0xFF, 0x80, 0x8D, 0xC0, 0x1F, 0xDF, 0x80, 0x79, 0xC0, 0x1F, 0x9F, 0x80, 0x1, 0xC0, 0x1F, 0xBF, 0xC0, 0x1, 0xC0, 0x1F, 0xBF, 0xC0, 0x19, 0xC0, 0x1F, 0xBF, 0xC0, 0x3F, 0xC0, 0x1F, 0x9F, 0xBF, 0xFF, 0xC0, 0x1F, 0xFF, 0xEF, 0xFF, 0x80, 0x1F, 0xFB, 0x20, 0xFF, 0xC0, 0x1E, 0x7A, 0x13, 0xFF, 0xF8, 0x1C, 0xEE, 0x12, 0xFF, 0xF8, 0xF, 0xCC, 0xF, 0xFF, 0xF8, 0xF, 0xC0, 0x0, 0xFF, 0xF0, 0x1F, 0xC0, 0x0, 0xFF, 0xF0, 0x1F, 0x80, 0x1, 0xFF, 0xF0, 0x0, 0x0, 0x3, 0xFF, 0xF0, 0x0, 0x0, 0x3, 0xFF, 0xF0, 0x0, 0x0, 0xF, 0xFF, 0xF0, 0x0, 0x0, 0xF, 0xFF, 0xE0, 0x0, 0x0, 0xF, 0xFE, 0x0, 0x0, 0x0, 0x1F, 0xF8, 0x0, 0x0, 0x0, 0x1F, 0xC0, 0x0, 0x0, 0x0, 0x1F, 0x80, 0x0, 0x0, 0x0, 0x1F, 0x0, 0x0, 0x0, 0x0, 0x1C, 0x0, 0x0, 0x0, 0x0, 0x1C, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x3F, 0xFF, 0xFF, 0xFF, 0xF0, 0x1F, 0xFF, 0xFF, 0xFF, 0xE0, 0xF, 0xFF, 0xF0, 0xFF, 0xC0, 0x3, 0xFF, 0xC0, 0xF1, 0x0, 0x0, 0xFF, 0xC0, 0xF0, 0x0, 0x0, 0x7F, 0xC0, 0x0, 0x0, 0x0, 0x3F, 0xC0, 0x0, 0x0, 0x0, 0x1F, 0xC0, 0x0, 0x0, 0x0, 0x1F, 0xC0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0x0, 0x0, 0x3F, 0xE0, 0x0, 0xC0, 0x0, 0x3F, 0xE0, 0x1, 0xE0, 0x0, 0x7, 0xE0, 0x11, 0xE0, 0x0, 0x7, 0xF0, 0x33, 0xF0, 0x0, 0x7, 0xF0, 0x3F, 0xFF, 0x0, 0xF, 0xE0, 0x3F, 0xFF, 0x0, 0xF, 0xE0, 0x7F, 0xFE, 0x0, 0xF, 0xFF, 0xFF, 0xFC, 0x0, 0xF, 0xFF, 0xFF, 0xFC, 0x0, 0xF, 0xFF, 0xFF, 0xF0, 0x0, 0xF, 0xFF, 0xFF, 0xF0, 0x0, 0x1F, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xFF, 0xE0, 0x7, 0xFF, 0xFF, 0xFF, 0xE0, 0x3F, 0xFF, 0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    //left2
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xF0, 0x0, 0x0, 0x0, 0x2, 0x8, 0x0, 0x0, 0x0, 0x4, 0x4, 0x0, 0x0, 0x0, 0x8, 0x1E, 0x0, 0x0, 0x0, 0x10, 0x47, 0x80, 0x0, 0x0, 0x28, 0x81, 0xE0, 0x0, 0x0, 0x28, 0x81, 0xE0, 0xC, 0x4, 0x4, 0x81, 0xE0, 0x1E, 0xA, 0x24, 0x83, 0xF0, 0x3F, 0xF7, 0xA4, 0x42, 0xF0, 0x3F, 0xF3, 0xE3, 0x3C, 0xF0, 0x3F, 0xF7, 0xA0, 0x0, 0xF0, 0x2F, 0xF7, 0xC0, 0x0, 0xF0, 0x3F, 0xF7, 0xE0, 0x6, 0xF0, 0x3F, 0xF7, 0xD0, 0xF, 0xF0, 0x2F, 0xFF, 0xF1, 0xFF, 0xE0, 0x27, 0xFF, 0xFF, 0xFF, 0xF0, 0x2D, 0xFF, 0xC4, 0x3F, 0xFE, 0x3A, 0xFF, 0x9, 0xBF, 0xFE, 0x1F, 0xFE, 0x8, 0x3F, 0xFE, 0xF, 0x80, 0x4, 0x7F, 0xFE, 0x7, 0x0, 0x3, 0x9F, 0xFE, 0x0, 0x0, 0x0, 0x3F, 0xFE, 0x0, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x0, 0x7F, 0xFC, 0x0, 0x0, 0x0, 0xFF, 0xFC, 0x0, 0x0, 0x0, 0xFF, 0xC0, 0x0, 0x0, 0x0, 0xFF, 0x80, 0x0, 0x0, 0x1, 0xFF, 0x0, 0x0, 0x0, 0x1, 0xF8, 0x0, 0x0, 0x0, 0x1, 0xF0, 0x0, 0x0, 0x0, 0x1, 0xE0, 0x0, 0x0, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x1, 0xC0, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x0, 0x0, 0x1, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xF, 0xFF, 0xFF, 0xFF, 0xFC, 0x7, 0xFF, 0xFF, 0xFF, 0xF8, 0x3, 0xFF, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xFF, 0xE0, 0x0, 0x7F, 0xFF, 0xFF, 0xC0, 0x0, 0x1F, 0xFF, 0xFF, 0xC0, 0x0, 0x1F, 0xF3, 0xFB, 0xC0, 0x0, 0x1F, 0xE1, 0xF1, 0xC0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x0, 0x0, 0xF, 0xC0, 0x0, 0x38, 0x0, 0x1, 0xC0, 0x0, 0xF0, 0x0, 0x1, 0xE0, 0x1, 0xF0, 0x0, 0x1, 0xF0, 0x7F, 0xF8, 0x0, 0x1, 0xF8, 0xFF, 0xFC, 0x60, 0x1, 0xFF, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xFF, 0xC0, 0x3, 0xFF, 0xFF, 0xFF, 0x80, 0x3, 0xFF, 0xFF, 0xFF, 0x0, 0x3, 0xFF, 0xFF, 0xFF, 0x0, 0x3F, 0xFF, 0xFF, 0xFF, 0x0, 0x7F, 0xFF, 0xFF, 0xFE, 0x0, 0xFF, 0xFF, 0xFF, 0xFE, 0x7, 0xFF, 0xFF, 0xFF, 0xFE, 0xF, 0xFF, 0xFF, 0xFF, 0xFE, 0x1F, 0xFF, 0xFF, 0xFF, 0xFE, 0x3F, 0xFF, 0xFF, 0xFF, 0xFE, 0x3F, 0xFF, 0xFF, 0xFF, 0xFE, 0x7F, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    //right1
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xE0, 0x0, 0x0, 0x0, 0x4, 0x10, 0x0, 0x0, 0x0, 0x8, 0x8, 0x0, 0x0, 0x0, 0x3E, 0x4, 0x0, 0xF0, 0x0, 0xF1, 0xB, 0x70, 0xFC, 0x1, 0xD0, 0x89, 0xF0, 0xFC, 0x3, 0xA0, 0x91, 0x1B, 0xFC, 0x7, 0xA0, 0x90, 0x1B, 0xFC, 0x7, 0xA0, 0x91, 0x9F, 0xFC, 0x3, 0xB1, 0x1, 0xFF, 0xFC, 0x3, 0x9E, 0x1, 0xFB, 0xF8, 0x3, 0x80, 0x1, 0xF9, 0xF8, 0x3, 0x80, 0x3, 0xFD, 0xF8, 0x3, 0x98, 0x3, 0xFD, 0xF8, 0x3, 0xFC, 0x3, 0xFD, 0xF8, 0x3, 0xFF, 0xFD, 0xF9, 0xF8, 0x1, 0xFF, 0xF7, 0xFF, 0xF8, 0x3, 0xFF, 0x4, 0xDF, 0xF8, 0x1F, 0xFF, 0xC8, 0x5E, 0x78, 0x1F, 0xFF, 0x48, 0x77, 0x38, 0x1F, 0xFF, 0xF0, 0x33, 0xF0, 0xF, 0xFF, 0x0, 0x3, 0xF0, 0xF, 0xFF, 0x0, 0x3, 0xF8, 0xF, 0xFF, 0x80, 0x1, 0xF8, 0xF, 0xFF, 0xC0, 0x0, 0x0, 0xF, 0xFF, 0xC0, 0x0, 0x0, 0xF, 0xFF, 0xF0, 0x0, 0x0, 0x7, 0xFF, 0xF0, 0x0, 0x0, 0x0, 0x7F, 0xF0, 0x0, 0x0, 0x0, 0x1F, 0xF8, 0x0, 0x0, 0x0, 0x3, 0xF8, 0x0, 0x0, 0x0, 0x1, 0xF8, 0x0, 0x0, 0x0, 0x0, 0xF8, 0x0, 0x0, 0x0, 0x0, 0x38, 0x0, 0x0, 0x0, 0x0, 0x38, 0x0, 0x0, 0x0, 0x0, 0x18, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xFF, 0xFF, 0xFF, 0xF8, 0xF, 0xFF, 0xFF, 0xFF, 0xF0, 0x7, 0xFF, 0xFF, 0xFF, 0xC0, 0x3, 0xFF, 0xF, 0xFF, 0x0, 0x0, 0x8F, 0x3, 0xFE, 0x0, 0x0, 0xF, 0x3, 0xFC, 0x0, 0x0, 0x0, 0x3, 0xF8, 0x0, 0x0, 0x0, 0x3, 0xF8, 0x0, 0x0, 0x0, 0x3, 0xFC, 0x0, 0x0, 0x0, 0x3, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x0, 0x0, 0x7, 0xFC, 0x0, 0x3, 0x0, 0x7, 0xE0, 0x0, 0x7, 0x80, 0x7, 0xE0, 0x0, 0x7, 0x88, 0x7, 0xE0, 0x0, 0xF, 0xCC, 0xF, 0xF0, 0x0, 0xFF, 0xFC, 0xF, 0xF0, 0x0, 0xFF, 0xFC, 0x7, 0xF0, 0x0, 0x7F, 0xFE, 0x7, 0xF0, 0x0, 0x3F, 0xFF, 0xFF, 0xF0, 0x0, 0x3F, 0xFF, 0xFF, 0xF0, 0x0, 0xF, 0xFF, 0xFF, 0xF8, 0x0, 0xF, 0xFF, 0xFF, 0xFF, 0x80, 0xF, 0xFF, 0xFF, 0xFF, 0xE0, 0x7, 0xFF, 0xFF, 0xFF, 0xFC, 0x7, 0xFF, 0xFF, 0xFF, 0xFE, 0x7, 0xFF, 0xFF, 0xFF, 0xFF, 0x7, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    //right2
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF, 0x80, 0x0, 0x0, 0x0, 0x10, 0x40, 0x0, 0x0, 0x0, 0x20, 0x20, 0x0, 0x0, 0x0, 0x78, 0x10, 0x0, 0x0, 0x1, 0xE2, 0x8, 0x0, 0x0, 0x7, 0x81, 0x14, 0x0, 0x0, 0x7, 0x81, 0x14, 0x0, 0x0, 0x7, 0x81, 0x20, 0x20, 0x30, 0xF, 0xC1, 0x24, 0x50, 0x78, 0xF, 0x42, 0x25, 0xEF, 0xFC, 0xF, 0x3C, 0xC7, 0xCF, 0xFC, 0xF, 0x0, 0x5, 0xEF, 0xFC, 0xF, 0x0, 0x3, 0xEF, 0xF4, 0xF, 0x60, 0x7, 0xEF, 0xFC, 0xF, 0xF0, 0xB, 0xEF, 0xFC, 0x7, 0xFF, 0x8F, 0xFF, 0xF4, 0xF, 0xFF, 0xFF, 0xFF, 0xE4, 0x7F, 0xFC, 0x23, 0xFF, 0xB4, 0x7F, 0xFD, 0x90, 0xFF, 0x5C, 0x7F, 0xFC, 0x10, 0x7F, 0xF8, 0x7F, 0xFE, 0x20, 0x1, 0xF0, 0x7F, 0xF9, 0xC0, 0x0, 0xE0, 0x7F, 0xFC, 0x0, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x0, 0x3F, 0xFE, 0x0, 0x0, 0x0, 0x3F, 0xFF, 0x0, 0x0, 0x0, 0x3, 0xFF, 0x0, 0x0, 0x0, 0x1, 0xFF, 0x0, 0x0, 0x0, 0x0, 0xFF, 0x80, 0x0, 0x0, 0x0, 0x1F, 0x80, 0x0, 0x0, 0x0, 0xF, 0x80, 0x0, 0x0, 0x0, 0x7, 0x80, 0x0, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x3, 0x80, 0x0, 0x0, 0x0, 0x1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x0, 0x0, 0x0, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x3F, 0xFF, 0xFF, 0xFF, 0xC0, 0x1F, 0xFF, 0xFF, 0xFF, 0x80, 0xF, 0xFF, 0xFF, 0xFE, 0x0, 0x7, 0xFF, 0xFF, 0xF8, 0x0, 0x3, 0xFF, 0xFF, 0xF8, 0x0, 0x3, 0xFF, 0xFF, 0xF8, 0x0, 0x3, 0xDF, 0xCF, 0xF0, 0x0, 0x3, 0x8F, 0x87, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0xF0, 0x0, 0x0, 0x0, 0x3, 0x80, 0x0, 0x1C, 0x0, 0x3, 0x80, 0x0, 0xF, 0x0, 0x3, 0x80, 0x0, 0xF, 0x80, 0x7, 0x80, 0x0, 0x1F, 0xFE, 0xF, 0x80, 0x6, 0x3F, 0xFF, 0x1F, 0x80, 0x3, 0xFF, 0xFF, 0xFF, 0xC0, 0x3, 0xFF, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0xFF, 0xFC, 0x0, 0xFF, 0xFF, 0xFF, 0xFE, 0x0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0, 0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xFF, 0xF0, 0x7F, 0xFF, 0xFF, 0xFF, 0xF8, 0x7F, 0xFF, 0xFF, 0xFF, 0xFC, 0x7F, 0xFF, 0xFF, 0xFF, 0xFC, 0x7F, 0xFF, 0xFF, 0xFF, 0xFE, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
};
char ren_dead[3][200] =
{
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xE0, 0x0, 0x0, 0xF, 0xF8, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFE, 0x0, 0x0, 0xFF, 0xFF, 0x80, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xE0, 0x3, 0xFF, 0xFF, 0xE0, 0x3, 0xFF, 0xFF, 0xF0, 0x3, 0xC7, 0xF1, 0xF0, 0x3, 0xC6, 0x71, 0xE0, 0x3, 0xDF, 0x7F, 0xC0, 0x1, 0xE5, 0xF3, 0xC0, 0x1, 0x8D, 0xD9, 0xE0, 0xF, 0xCC, 0x99, 0xF8, 0x1B, 0xCC, 0x99, 0x6C, 0x1B, 0xC1, 0x81, 0xE6, 0x17, 0x7F, 0x7E, 0x76, 0x11, 0x0, 0x0, 0x46, 0x19, 0x0, 0x0, 0x4C, 0xF, 0x0, 0x10, 0x78, 0x3, 0x7, 0xF0, 0x60, 0x1, 0x0, 0x0, 0x60, 0x1, 0xF8, 0x7, 0xC0, 0x0, 0xF8, 0xF, 0xC0, 0x1, 0xCF, 0xF8, 0xE0, 0x3, 0xC7, 0xF8, 0xF0, 0x7, 0xC7, 0xF0, 0xD0, 0x7, 0xC7, 0xF1, 0xF0, 0xF, 0xE7, 0xF9, 0xF0, 0x7, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xE0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0x7F, 0xFF, 0x80, 0x0, 0x7F, 0xFF, 0x80, 0x0, 0x7F, 0xFF, 0x80, 0x0, 0x7F, 0x7F, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xF, 0xF0, 0x0, 0x0, 0x1F, 0xF8, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x0, 0x3F, 0xFC, 0x0, 0x1, 0xFF, 0xFF, 0x80, 0x3, 0xFF, 0xFF, 0xC0, 0x3, 0xFF, 0xFF, 0xC0, 0x7, 0xFF, 0xFF, 0xE0, 0x7, 0xFF, 0xFF, 0xE0, 0x7, 0x9F, 0xF9, 0xE0, 0x7, 0x8E, 0xE1, 0xE0, 0x7, 0xBC, 0x7D, 0xE0, 0x7, 0xBC, 0x3D, 0xE0, 0x7, 0x8, 0x30, 0xE0, 0x3, 0x8, 0x30, 0xE0, 0x3E, 0x8, 0x10, 0x7C, 0x26, 0x18, 0x18, 0x64, 0x66, 0x18, 0x0, 0x66, 0x4C, 0x0, 0x0, 0x7A, 0x66, 0x1, 0x80, 0x66, 0x36, 0x1, 0x80, 0x66, 0x3C, 0x2, 0x40, 0x38, 0xC, 0x2, 0x40, 0x30, 0x6, 0x2, 0x40, 0x60, 0x3, 0x32, 0x4C, 0xE0, 0x1, 0xF9, 0x9F, 0x80, 0x1, 0xFF, 0xFF, 0x80, 0x3, 0x8F, 0xF1, 0xC0, 0x7, 0x87, 0xF1, 0xE0, 0x7, 0xC3, 0xE1, 0xF0, 0x7, 0xE3, 0xE3, 0xF0, 0xF, 0xE7, 0xF3, 0xF0, 0x7, 0xFF, 0xFF, 0xF0, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0x80, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0xFF, 0xFF, 0x0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0xFE, 0x7F, 0x80, 0x0, 0xF8, 0x1F, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xC0, 0x0, 0x0, 0xF, 0xF8, 0x0, 0x0, 0xF, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFC, 0x0, 0x0, 0x1F, 0xFE, 0x0, 0x0, 0x3F, 0xFE, 0x0, 0x0, 0xFF, 0xFF, 0x80, 0x1, 0xFF, 0xFF, 0xC0, 0x1, 0xFF, 0xFF, 0xC0, 0x3, 0xFF, 0xFF, 0xE0, 0x3, 0xFF, 0xFF, 0xF0, 0x3, 0xCF, 0xF9, 0xF0, 0x3, 0xC7, 0x71, 0xF0, 0x3, 0xCE, 0x35, 0xE0, 0x3, 0xCE, 0x3B, 0xE0, 0x3, 0x84, 0x18, 0xE0, 0x7, 0x8C, 0x18, 0x78, 0x1F, 0xC, 0x18, 0x7C, 0x19, 0xC, 0x18, 0x66, 0x17, 0x0, 0x0, 0x76, 0x13, 0x0, 0x0, 0x66, 0x19, 0x1, 0xC0, 0x64, 0x1F, 0x1, 0x40, 0x7C, 0x3, 0x1, 0x40, 0x38, 0x3, 0x1, 0x40, 0x60, 0x1, 0x89, 0x40, 0x60, 0x0, 0xFD, 0xCF, 0x80, 0x0, 0xE7, 0xF9, 0xC0, 0x1, 0xC7, 0xF8, 0xE0, 0x3, 0xE3, 0xF1, 0xF0, 0x3, 0xE3, 0xE1, 0xF0, 0x7, 0xF3, 0xF3, 0xF0, 0x7, 0xF7, 0xFB, 0x70, 0x3, 0xFF, 0xFF, 0xF0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0xE0, 0x1, 0xFF, 0xFF, 0xE0, 0x1, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0xC0, 0x0, 0xFF, 0xFF, 0x80, 0x0, 0x7F, 0xFF, 0x80, 0x0, 0x7F, 0xFF, 0x80, 0x0, 0x7F, 0xFF, 0x80, 0x0, 0x38, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0
};
char number[10][9] =
{
    //0
    0x70, 0xD8, 0xD8, 0xD8, 0xD8, 0xD8, 0xD8, 0xD8, 0x70,
    //1
    0x30, 0x70, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x78,
    //2
    0x70, 0xD8, 0x18, 0x18, 0x30, 0x60, 0xC0, 0xD8, 0xF8,
    //3
    0x70, 0xD8, 0x18, 0x18, 0x70, 0x18, 0x18, 0xD8, 0x70,
    //4
    0x18, 0x38, 0x38, 0x78, 0x78, 0xD8, 0xF8, 0x18, 0x18,
    //5
    0xF8, 0xC0, 0xC0, 0xF0, 0xD8, 0x18, 0x18, 0xD8, 0x70,
    //6
    0x70, 0xD8, 0xC0, 0xC0, 0xF0, 0xD8, 0xD8, 0xD8, 0x70,
    //7
    0xF8, 0xD8, 0xD8, 0x30, 0x30, 0x30, 0x60, 0x60, 0x60,
    //8
    0x70, 0xD8, 0xD8, 0xD8, 0x70, 0xD8, 0xD8, 0xD8, 0x70,
    //9
    0x70, 0xD8, 0xD8, 0xD8, 0x78, 0x18, 0x18, 0x18, 0x70
};

//==================================================
int mark = 0;
int map = 40;
int ppmark = 0;
int Key_Enter = KEY_ENTER;
int Key_Speed = KEY_ENTER;
int perfect = 0;
int good = 0;
int cool = 0;
int bad = 0;
int JumpSpeed = 5;
int BgSpeed = 15;
int ActSpeed = 15;
int temp;
//==================================================

void CheckFile()
{
    addr fp;
    if ((fp = fopen("/LavaData/DJumpDat.dat", "r")) == 0)
    {
        WriteBlock(0, Y0, 160, 80, 1, GameLogo);
        Refresh();
        getchar();
        fclose(fp);
        exit(0);
    }
    fclose(fp);
} //CheckFile
//==================================================

void PlayPic(int head, int PicDelay, int q)
{
    addr fp;
    if ((fp = fopen("/LavaData/DJumpDat.dat", "r")) == 0)
    {
        WriteBlock(0, Y0, 160, 80, 1, GameLogo);
        Refresh();
        getchar();
        fclose(fp);
        exit(0);
    } //if

    rewind(fp);
    fseek(fp, head *1601, 1);
    fread(GameLogo, 1, 1600, fp);
    ClearScreen();
    WriteBlock(0, Y0, 160, 80, 1, GameLogo);
    if (q == 1)
    {
        Refresh();
    }
    if (PicDelay >= 4)
    {
        Delay(PicDelay);
    }
    fclose(fp);
}

//==================================================

void showmark()
{
    int fen1;
    int fen2;
    PlayPic(5, 50, 1);
    fen1 = perfect;
    fen2 = fen1 / 100;
    WriteBlock(30, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 100;
    fen2 = fen1 / 10;
    WriteBlock(38, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 10;
    WriteBlock(46, Y0+35, 8, 9, 1, number[fen1]);
    fen1 = cool;
    fen2 = fen1 / 100;
    WriteBlock(63, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 100;
    fen2 = fen1 / 10;
    WriteBlock(71, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 10;
    WriteBlock(79, Y0+35, 8, 9, 1, number[fen1]);
    fen1 = good;
    fen2 = fen1 / 100;
    WriteBlock(92, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 100;
    fen2 = fen1 / 10;
    WriteBlock(100, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 10;
    WriteBlock(108, Y0+35, 8, 9, 1, number[fen1]);
    fen1 = bad;
    fen2 = fen1 / 100;
    WriteBlock(118, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 100;
    fen2 = fen1 / 10;
    WriteBlock(126, Y0+35, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 10;
    WriteBlock(134, Y0+35, 8, 9, 1, number[fen1]);
    fen1 = mark;
    fen2 = fen1 / 10000;
    WriteBlock(102, Y0+50, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 10000;
    fen2 = fen1 / 1000;
    WriteBlock(110, Y0+50, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 1000;
    fen2 = fen1 / 100;
    WriteBlock(118, Y0+50, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 100;
    fen2 = fen1 / 10;
    WriteBlock(126, Y0+50, 8, 9, 1, number[fen2]);
    fen1 = fen1 % 10;
    WriteBlock(134, Y0+50, 8, 9, 1, number[fen1]);
    Refresh();
    Delay(500);
    getchar();
}

//==================================================

void PlayPic_u(int head, int PicDelay, int m)
{
    addr fp;
    if ((fp = fopen("/LavaData/DJumpDat.dat", "r")) == 0)
    {
        WriteBlock(0, Y0, 160, 80, 1, GameLogo);
        Refresh();
        getchar();
        fclose(fp);
        exit(0);
    } //if

    rewind(fp);
    fseek(fp, head *1601, 1);
    fread(GameLogo, 1, 1600, fp);
    WriteBlock(0, Y0+m, 160, 80-m, 1, GameLogo);
    if (PicDelay >= 4)
    {
        Delay(PicDelay);
    }
    fclose(fp);
}

//==================================================

int BoxMoveY(int BOX_LX, int BOX_LY, int BOX_RX, int BOX_RY, int OFFSET_X, int OFFSET_Y, int BOX_AMOUNT)
{
    int c;
    int BOX_RETURN;
    int BOX_XA, BOX_YA;
    int BOX_XB, BOX_YB;
    BOX_RETURN = 1;
    for (;;)
    {
        BOX_XA = BOX_LX + OFFSET_X *(BOX_RETURN - 1);
        BOX_YA = BOX_LY + (BOX_RY - BOX_LY + OFFSET_Y)*(BOX_RETURN - 1);
        BOX_XB = BOX_RX + OFFSET_X *(BOX_RETURN - 1);
        BOX_YB = BOX_RY + (BOX_RY - BOX_LY + OFFSET_Y)*(BOX_RETURN - 1);
        Box(BOX_XA, BOX_YA, BOX_XB, BOX_YB, 1, 2);
        for (;;)
        {
            c = getchar();
            if (c == KEY_ENTER)
            {
                return BOX_RETURN;
            }
            if (c == KEY_ESC)
            {
                return -1;
            }
            if (c == KEY_HELP)
            {
                PlayPic(6, 50, 1);
                getchar();
                return 10;
            }
            if (c == KEY_UP)
            {
                Box(BOX_XA, BOX_YA, BOX_XB, BOX_YB, 1, 2);
                BOX_RETURN--;
                if (BOX_RETURN < 1)
                {
                    BOX_RETURN = BOX_AMOUNT;
                }
                break;
            }
            if (c == KEY_DOWN)
            {
                Box(BOX_XA, BOX_YA, BOX_XB, BOX_YB, 1, 2);
                BOX_RETURN++;
                if (BOX_RETURN > BOX_AMOUNT)
                {
                    BOX_RETURN = 1;
                }
                break;
            }
        }
    }
}

//==================================================

int BoxMoveX(int BOX_LX, int BOX_LY, int BOX_RX, int BOX_RY, int OFFSET_X, int OFFSET_Y, int BOX_AMOUNT, int BOX_RETURN)
{
    int c;
    int BOX_XA, BOX_YA;
    int BOX_XB, BOX_YB;

    BOX_RETURN = 28 - BOX_RETURN;

    for (;;)
    {
        BOX_XA = BOX_LX + (BOX_RX + OFFSET_X - 1)*(BOX_RETURN - 1);
        BOX_YA = BOX_LY + OFFSET_Y *(BOX_RETURN - 1);
        BOX_XB = BOX_RX + (BOX_RX + OFFSET_X - 1)*(BOX_RETURN - 1);
        BOX_YB = BOX_RY + OFFSET_Y *(BOX_RETURN - 1);
        Box(BOX_XA, BOX_YA, BOX_XB, BOX_YB, 1, 2);
        for (;;)
        {
            c = getchar();
            if (c == KEY_ENTER)
            {
                return 28 - BOX_RETURN;
            }
            if (c == KEY_ESC)
            {
                return 28 - BOX_RETURN;
            }
            if (c == KEY_LEFT)
            {
                Box(BOX_XA, BOX_YA, BOX_XB, BOX_YB, 1, 2);
                BOX_RETURN--;
                if (BOX_RETURN < 1)
                {
                    BOX_RETURN = BOX_AMOUNT;
                }
                break;
            }
            if (c == KEY_RIGHT)
            {
                Box(BOX_XA, BOX_YA, BOX_XB, BOX_YB, 1, 2);
                BOX_RETURN++;
                if (BOX_RETURN > BOX_AMOUNT)
                {
                    BOX_RETURN = 1;
                }
                break;
            }
        }
    }
}

//==================================================

void End()
{
    showmark();
}

//==================================================

void Dead(int pose)
{
    int x, y;
    int i;
    if (pose == 2)
    {
        x = 20;
        y = Y0+3;
    }
    if (pose == 4)
    {
        x = 107;
        y = Y0+3;
    }

    temp = ActSpeed *7;
    if(temp<4) temp = 4;

    WriteBlock(x, y, 32, 50, 1, ren_dead[0]);
    Refresh();
    Delay(temp);
    WriteBlock(x, y, 32, 50, 1, ren_dead[1]);
    Refresh();
    Delay(temp);
    WriteBlock(x, y, 32, 50, 1, ren_dead[2]);
    Refresh();
    Delay(temp);

    temp = JumpSpeed - ppmark;
    if(temp<4) temp = 4;
    for (i = Y0+3; i < Y0+70; i++)//debug
    {
        WriteBlock(x, i, 32, 50, 1, ren_dead[2]);
        Refresh();
        Delay(temp);
    }

    End();

}

//==================================================

void gomap(char n)
{
    int k;
    int h1;
    int h2;
    k = map;
    if( map+LCD_H >= 240 )
    {
        h1 = 240 - map;
        WriteBlock(0, 0, 160, h1, 1, background[map]);
        WriteBlock(0, h1, 160, LCD_H-h1, 1, background[0]);
    }
    else
    {
        WriteBlock(0, 0, 160, LCD_H, 1, background[map]);
    }
    
    /*for (p = 0; p < 80; p = p + 1)
    {
        WriteBlock(0, 79-p, 160, 1, 1, background[k]);
        k = k - 1;
        if (k < 0)
        {
            k = k + 240;
        }
        //Delay(0);//debug
    }*/
    map = map - n;
    if (map < 0)
    {
        map = map + 240;
    }

}

//==================================================

int goren(int pose)
{
    int i;
    int num;
    num = 0;
    if (pose == 2)
    {
        for (i = 0; i < 100; i++)
        {
            if (Inkey() == Key_Speed)
            {
                num++;
            }
            gomap(4);
            if (num > 6)
            {
                gomap(4);
            }
            if (num > 10)
            {
                gomap(4);
            }
            WriteBlock(14, Y0+7, 40, 40, 4, gogo[1]);
            WriteBlock(14, Y0+7, 40, 40, 3, gogo[0]);
            if (num < (18+ppmark))
            {
                WriteBlock(48, 65, 64, 10, 1, hit_enter);
            }
            else
            if (i < 92)
            {
                i = 92;
            }
            Refresh();
            temp = JumpSpeed*2 - ppmark;
            if(temp<4) temp = 4;
            Delay(temp);
            gomap(4);
            if (num > 6)
            {
                gomap(4);
            }
            if (num > 10)
            {
                gomap(4);
            }
            WriteBlock(14, Y0+7, 40, 40, 4, gogo[3]);
            WriteBlock(14, Y0+7, 40, 40, 3, gogo[2]);
            Refresh();
            Delay(temp);
        } //for
    } //if

    if (pose == 4)
    {
        for (i = 0; i < 100; i++)
        {
            if (Inkey() == Key_Speed)
            {
                num++;
            }
            gomap(4);
            if (num > 6)
            {
                gomap(4);
            }
            if (num > 10)
            {
                gomap(4);
            }
            WriteBlock(107, Y0+7, 40, 40, 4, gogo[5]);
            WriteBlock(107, Y0+7, 40, 40, 3, gogo[4]);
            if (num < (18+ppmark))
            {
                WriteBlock(48, 65, 64, 10, 1, hit_enter);
            }
            else
            if (i < 92)
            {
                i = 92;
            }
            Refresh();
            temp = JumpSpeed*2 - ppmark;
            if(temp<4) temp = 4;
            Delay(temp);
            gomap(4);
            if (num > 6)
            {
                gomap(4);
            }
            if (num > 10)
            {
                gomap(4);
            }
            WriteBlock(107, Y0+7, 40, 40, 4, gogo[7]);
            WriteBlock(107, Y0+7, 40, 40, 3, gogo[6]);
            Refresh();
            Delay(temp);
        }
    } //if
    Delay(100);
    if (num < (18+ppmark))
    {
        Dead(pose);
        return 0;
    }
    mark = mark + num * 10;
    temp = JumpSpeed *3;
    if (temp >= 4)
    {
        Delay(temp);
    }
    return 1;
} //goren

//==================================================

void Loadcfg()
{
    addr fp;
    if ((fp = fopen("/LavaData/DJumpRec.dat", "r")) == 0)
    {
        fclose(fp);
    }
    else
    {
        rewind(fp);
        Key_Enter = getc(fp);
        Key_Speed = getc(fp);
        JumpSpeed = getc(fp);
        BgSpeed = getc(fp);
        ActSpeed = getc(fp);
        fclose(fp);

    }
}

//==================================================

void config()
{
    addr fp;
    int bak;
    PlayPic(7, 50, 1);
    Block(30, Y0+42, 58, Y0+56, 2);
    Refresh();
    bak = Key_Enter;
    Key_Enter = getchar();
    if (Key_Enter == 27)
    {
        Key_Enter = bak;
    }
    Block(30, Y0+42, 58, Y0+56, 2);
    Block(69, Y0+42, 98, Y0+56, 2);
    Refresh();
    bak = Key_Speed;
    Key_Speed = getchar();
    if (Key_Speed == 27)
    {
        Key_Speed = bak;
    }
    PlayPic(8, 50, 1);
    JumpSpeed = BoxMoveX(79,Y0+27, 81, Y0+29,  - 78, 0, 27, JumpSpeed);
    BgSpeed = BoxMoveX(79,Y0+39, 81, Y0+41,  - 78, 0, 27, BgSpeed);
    ActSpeed = BoxMoveX(79,Y0+52, 81, Y0+54,  - 78, 0, 27, ActSpeed);

    if ((fp = fopen("/LavaData/DJumpRec.dat", "w+")) == 0)
    {
        fclose(fp);
    }
    else
    {
        rewind(fp);
        putc(Key_Enter, fp);
        putc(Key_Speed, fp);
        putc(JumpSpeed, fp);
        putc(BgSpeed, fp);
        putc(ActSpeed, fp);
        fclose(fp);
    }

}


//==================================================

int checkmark(int pose)
{
    int tmp;
    tmp = 300+150 * ppmark;
    if ((mark / tmp) > ppmark)
    {
        ppmark++;
        return goren(pose);

    }
    return 1;
}

//==================================================

void main()
{
    int m;
    int mu;
    int s_x;
    int s_u;
    int show;

    CheckFile();
    PlayPic(2, 800, 1);
    PlayPic(3, 800, 1);
    Loadcfg();
    PlayPic(0, 1000, 1);
MAIN_LOOP:
    for (;;)
    {
        PlayPic(1, 50, 1);
        m = BoxMoveY(67, Y0+26, 95, Y0+38, 0, 1, 4);
        if (m == 1)
        {
            break;
        }
        else
        if (m == 2)
        {
            config();
        }
        else
        if (m == 3)
        {
            PlayPic(9, 50, 1);
            getchar();
            PlayPic(10, 50, 1);
            getchar();
            PlayPic(11, 50, 1);
            getchar();
            PlayPic(12, 50, 1);
            getchar();
            PlayPic(13, 50, 1);
            getchar();
            PlayPic(14, 50, 1);
            getchar();
            PlayPic(15, 50, 1);
            getchar();
        }
        else
        if (m == 4 || m < 0)
        {
            exit(0);
        }
    }
    ClearScreen();

    PlayPic(4, 50, 1);
    WriteBlock(52, Y0+23, 32, 48, 1, ren_start);
    Refresh();

    s_x = 0;
    s_u = 0;
    temp = ActSpeed;
    for (;;)
    {
        if (Inkey() == Key_Enter)
        {
            break;
        }
        WriteBlock(17+s_x, 5, 64, 10, 1, hit_enter);
        Refresh();
        if (s_u == 0)
        {
            s_x++;
            if (s_x > 19)
            {
                s_u = 1;
            }
        }
        if (s_u == 1)
        {
            s_x--;
            if (s_x < 1)
            {
                s_u = 0;
            }
        }
        if (temp >= 4)
        {
            Delay(temp);
        }
    }
    PlayPic(4, 10, 0);
    //bb = 1;
    temp = JumpSpeed;
    for (s_u = 0; s_u < 48; s_u = s_u + 2)
    {/*
        if (s_u < 25)
        {
            PlayPic(4, 10, 0);
        }
        else
        {
            WriteBlock(0, bb - 15, 160, 15, 1, hc_map);
            PlayPic_u(4, 1, bb);
            bb++;
        }*/
        GetBlock(52-s_u, Y0+23-s_u / 2, 48, 40, 1, GameLogo);
        WriteBlock(52-s_u, Y0+23-s_u / 2, 40, 40, 4, ren_go[2]);
        WriteBlock(52-s_u, Y0+23-s_u / 2, 40, 40, 3, ren_go[0]);
        Refresh();
        WriteBlock(52-s_u & ~7, Y0+23-s_u / 2, 48, 40, 1, GameLogo);
        if (temp >= 4)
        {
            Delay(temp);
        }
    }
    map = 200 - Y0;

    /* Fly */
    for (;;)
    {
        if (!checkmark(2))
            goto MAIN_LOOP;
        gomap(4);
        WriteBlock(3, Y0+7, 40, 40, 4, ren_right[1]);
        WriteBlock(3, Y0+7, 40, 40, 3, ren_right[0]);
        Refresh();
        temp = JumpSpeed*2 - ppmark;
        if (temp < 4) temp = 4;
        Delay(temp);

        for (mu = 0; mu < 37; mu++)
        {
            WriteBlock(45, Y0+11, 32, 32, 4, point[1]);
            WriteBlock(45, Y0+11, 32, 32, 3, point[0]);
            Refresh();
            if (Inkey() == Key_Enter)
            {
                break;
            }
            if (mu < 12)
            {
                Line(46, Y0+41, 70, Y0+41-mu, 0);
                Delay(temp);
                continue;
            }
            if (mu < 26)
            {
                Line(46, Y0+41, 82-mu, Y0+42-mu, 0);
                Delay(temp);
                continue;
            }
            Line(46, Y0+41, 83-mu, Y0+17, 0);
            Delay(temp);
        }
        show = 0;
        if (mu < 10 || mu > 30)
        {
            Dead(2);
            goto MAIN_LOOP;
        }
        if (mu > 27 && mu < 31)
        {
            show = 0;
            mark = mark + 50;
            perfect++;
        }
        if (mu > 22 && mu < 28)
        {
            show = 1;
            mark = mark + 40;
            cool++;
        }
        if (mu > 16 && mu < 23)
        {
            show = 2;
            mark = mark + 30;
            good++;
        }
        if (mu > 9 && mu < 17)
        {
            show = 3;
            mark = mark + 20;
            bad++;
        }
        WriteBlock(110, 0, 40, 11, 1, per[show]);//cool/good/bad
        Refresh();
        temp = ActSpeed * 10;
        if (temp >= 4)
        {
            Delay(temp);
        }

        temp = JumpSpeed;
        for (m = 0; m < 110; m = m + 4)
        {
            gomap(4);
            WriteBlock(3+m, Y0+7, 40, 40, 4, ren_go[3]);
            WriteBlock(3+m, Y0+7, 40, 40, 3, ren_go[1]);
            Refresh();
            if (temp >= 4)
            {
                Delay(temp);
            }
        }


        if (!checkmark(4))
            goto MAIN_LOOP;
        gomap(4);
        WriteBlock(115, Y0+7, 40, 40, 4, ren_left[1]);
        WriteBlock(115, Y0+7, 40, 40, 3, ren_left[0]);
        Refresh();
        temp = JumpSpeed*2 + ppmark;
        if (temp >= 4)
        {
            Delay(temp);
        }

        temp = JumpSpeed*2 - ppmark;
        if(temp<4) temp = 4;
        for (mu = 0; mu < 37; mu++)
        {
            WriteBlock(80, Y0+11, 32, 32, 4, point[3]);
            WriteBlock(80, Y0+11, 32, 32, 3, point[2]);
            Refresh();
            if (Inkey() == Key_Enter)
            {
                break;
            }
            if (mu < 12)
            {
                Line(110, Y0+41, 86, Y0+41-mu, 0);
                Delay(temp);
                continue;
            }
            if (mu < 26)
            {
                Line(110, Y0+41, 74+mu, Y0+42-mu, 0);
                Delay(temp);
                continue;
            }
            Line(110, Y0+41, 73+mu, Y0+17, 0);
            Delay(temp);
        }
        if (mu < 10 || mu > 30)
        {
            Dead(4);
            goto MAIN_LOOP;
        }
        if (mu > 27 && mu < 31)
        {
            show = 0;
            mark = mark + 50;
            perfect++;
        }
        if (mu > 22 && mu < 28)
        {
            show = 1;
            mark = mark + 40;
            cool++;
        }
        if (mu > 16 && mu < 23)
        {
            show = 2;
            mark = mark + 30;
            good++;
        }
        if (mu > 9 && mu < 17)
        {
            show = 3;
            mark = mark + 20;
            bad++;
        }
        WriteBlock(0, 0, 40, 11, 1, per[show]);
        Refresh();
        temp = ActSpeed * 10;
        if (temp >= 4)
        {
            Delay(temp);
        }
        
        temp = JumpSpeed;
        for (m = 0; m < 110; m = m + 4)
        {
            gomap(4);
            WriteBlock(113-m, Y0+7, 40, 40, 4, ren_go[2]);
            WriteBlock(113-m, Y0+7, 40, 40, 3, ren_go[0]);
            Refresh();
            if (temp >= 4)
            {
                Delay(temp);
            }
        }
    }
    /* END FLY */

} //main
